##############################################################################
# Copyright (c) 2004-2005 Black Rock City, LLC
# Copyright (c) 2004-2005 ObjectRealms, LLC
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
##############################################################################
"""
Description:
 Event Channel Integration for TeamSpaces
Created: March 31, 2004
$Id: events.py 20164 2005-01-20 19:14:56Z hazmat $
"""

try:
    from Products.Event.IEvent import IEvent
    from Products.EventRegistry import eventRegistry
    registerEvent = eventRegistry.registerEvent
    USE_EVENTS = 1
except ImportError:
    from Interface import Interface
    class IEvent(Interface): pass
    def registerEvent(*args): pass
    USE_EVENTS = 0


def publishevent( context, event):
    if not USE_EVENTS: 
        return
    event_channel = getToolByName(context, 'portal_events')
    event_channel.publishEvent( event )
    

class ITeamEvent( IEvent ): 
    """
    """

class ITeamMembershipEvent( ITeamEvent ): 
    """
    """

class ITeamMemberAdded( ITeamMembershipEvent ): 
    """
    """

class ITeamMemberActivated( ITeamMembershipEvent ):
    """
    generated when a member is considered part of a team
    """
    
class ITeamMemberDeactivated( ITeamMembershipEvent ):
    """ 
    """    
    
class ITeamMemberRemoved( ITeamMembershipEvent ): 
    """
    """

class TeamEvent(object):
    __implements__ = ITeamEvent
    
